org.apache.commons.beanutils

## Class BeanAccessLanguageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.beanutils.BeanAccessLanguageException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NestedNullException

      public class BeanAccessLanguageException
      extends IllegalArgumentException

  Thrown to indicate that the Bean Access Language cannot execute query against given bean. This is a runtime exception and access langauges are encouraged to subclass to create custom exceptions whenever appropriate.
  Since:
    1.7
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanAccessLanguageException()` Constructs a `BeanAccessLanguageException` without a detail message.
    `BeanAccessLanguageException(String message)` Constructs a `BeanAccessLanguageException` without a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanAccessLanguageException

          public BeanAccessLanguageException()

      Constructs a `BeanAccessLanguageException` without a detail message.

    - #### BeanAccessLanguageException

          public BeanAccessLanguageException(String message)

      Constructs a `BeanAccessLanguageException` without a detail message.
      Parameters:
        `message` - the detail message explaining this exception

Copyright © 2000–2019 The Apache Software Foundation. All rights reserved.